#include "bits/stdc++.h"

using namespace std;

// Funkcja zwraca sumę dzielników pierwszych,
// na przykład dla 72 = 2*2*2*3*3, zwróci ona
// 12 = 2+2+2+3+3.
long long suma_dzielnikow_pierwszych(long long X) {
  long long suma = 0;

  // Iterujemy się po wszystkich liczbach do pierwiastka z X.
  for (int i = 2; (long long)i * i <= X; i++) {
    // Dopóki X jest podzielne przez i.
    while (X % i == 0) {
      // Dodajemy wartość i do sumy (musi być ona pierwsza).
      suma += i;
      // Następnie dzielimy X przez i, aby pozbyć
      // się tego dzielnika pierwszego.
      X /= i;
    }
  }
  // Jeżeli X nie jest równe 1,
  // oznacza co to że została nam liczba
  // pierwsza, którą musimy dodać.
  if (X > 1)
    suma += X;
  return suma;
}

int main() {
  long long A, B;
  cin >> A >> B;

  // Obliczamy największy wspólny dzielnik korzystając
  // z funkcji bibliotecznej.
  long long nwd = gcd(A, B);

  // Wynikiem będzie suma dzielników pierwszych
  // liczb A / nwd oraz B / nwd.
  cout << suma_dzielnikow_pierwszych(A / nwd) +
              suma_dzielnikow_pierwszych(B / nwd)
       << "\n";
}